/*****************************************************************************/
//  cf_exception.cc
//  Copyright (C) 1999 Brett Hall <swizin@rain.org>
//  
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or 
//  (at your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111 USA 
/*****************************************************************************/


//////////////////////////////////////////////////
// cf_exception.cc
//
//////////////////////////////////////////////////


#include "cf_exception.hh"



//////////////////////////////////////////////////
//BEGIN CF_Exception

//CF_Exception::DisplayMsg: Displays exception message
//	exitVal: if non-zero will exit with this code
//returns: <nothing>
void CF_Exception::DisplayMsg(int exitVal)
{
	cerr << "\nException: " << module << "\n" << msg << "\n";
	exit(1);
}//void CF_Exception::DisplayMsg(int exitVal)



//END CF_Exception


/////////////////////////////////////////////////////
//BEGIN CF_ParseException

//CF_ParseException::DisplayMsg: displays he exception msg
//	ffile: name of file being parsed when exception occured
//	lineNum: linenumber in script file where exception occured
//	exitVal: value to return when exiting
//returns: <nothing>
void CF_ParseException::DisplayMsg(const string& file, int lineNum, int exitVal)
{
#ifdef DEBUG
	cerr << module << "\n" << msg << " at " << file << ":" << lineNum << "\n";
#else
	cerr << msg << " at " << file << ":" << lineNum << "\n";
#endif
	if(exitVal != 0)
		exit(exitVal);
}//void CF_ParseException::DisplayMsg(int lineNum, int exitVal)


//END CF_ParseException


//////////////////////////////////////////////////
//BEGIN GLOBALS


//END GLOBALS


