/*****************************************************************************/
//  cf_scriptvar.cc
//  Copyright (C) 1999 Brett Hall <swizin@rain.org>
//  
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or 
//  (at your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111 USA 
/*****************************************************************************/


//////////////////////////////////////////////////
// cf_scriptvar.cc
//
//////////////////////////////////////////////////


#include "cf_scriptvar.hh"
#include "cf_exception.hh"



//////////////////////////////////////////////////
//BEGIN CF_ScriptVar

void CF_ScriptVar::SetValue(const string& valIn)
{
	sValue = valIn;
	if(sValue.empty())
		bValue = false;
	else
		bValue = true;
}//CF_StringVar::SetValue(const string& valIn)


void CF_ScriptVar::SetValue(bool valIn)
{
	bValue = valIn;
	sValue = bValue ? "true" : "";
}//CF_StringVar::SetValue(bool valIn)

//END CF_ScriptVar



/////////////////////////////////////////////////////
//BEGIN CF_VarMgr

//CF_VarMgr::~CF_VarMgr: deletes vars
//returns: <nothing>
CF_VarMgr::~CF_VarMgr()
{
	for(map<const string, CF_ScriptVar*>::iterator it = vars.begin(); it != vars.end(); ++it)
	{
		if((*it).second != NULL)
			delete (*it).second;
	}//for(vars.iterator it = vars.begin(); it != vars.end(); ++it)
}//CF_VarMgr::~CF_VarMgr()


bool CF_VarMgr::AddVar(const string &name,  const string& initValue)
{
	if(vars[name] != NULL)
		return false;
	
	CF_ScriptVar* var = new CF_ScriptVar(name, initValue);
	CF_Assert(var != NULL, "CF_VarMgr::AddVar()");
	vars[name] = var;
	return true;
}//bool CF_VarMgr::AddVar(const string &name, CF_ScriptVar::Type type, const string& initValue)

bool CF_VarMgr::AddVar(const string& name, bool initValue)
{
	string init = initValue ? "true" : "";
	return AddVar(name, init);
}//bool CF_VarMgr::AddVar(const string& name, bool initValue)

//END CF_VarMgr


//////////////////////////////////////////////////
//BEGIN GLOBALS


//END GLOBALS


