/*****************************************************************************/
//  cf_main.cc
//  Copyright (C) 1999 Brett Hall <swizin@rain.org>
//  
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or 
//  (at your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111 USA 
/*****************************************************************************/


//////////////////////////////////////////////////
// cf_main.cc
//	-Main for control freak test bed
//
//////////////////////////////////////////////////

#include "win.hh"
#include "cf_exception.hh"
#include <gtk/gtk.h>

//BEGIN GLOBALS
int main(int argc, char** argv)
{
	//init gtk
	gtk_init(&argc, &argv);
	
	//check args
	if((argc < 2) || (string(argv[1]) == "--help") || (string(argv[1]) == "-h"))
	{
		cout << "Usage: controlFreak <script file>" << endl;
		return 1;
	}//if(argc < 2)
	
	//create window
	try
	{
		MainWin mainWin(argv[1]);
		gtk_main();
	}//try
	catch(CF_Exception& exc)
	{
		exc.DisplayMsg(1);
	}//catch(CF_Exception& exc)
	
	return 0;
}//int main(int argv, char** argv)

//END GLOBALS


