/*****************************************************************************/
//  win.hh
//  Copyright (C) 1999 Brett Hall <swizin@rain.org>
//  
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or 
//  (at your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111 USA 
/*****************************************************************************/


//////////////////////////////////////////////////
// win.hh
//	-Main window for controlFreak test-bed
//
//////////////////////////////////////////////////
#ifndef CF_WIN_HH
#define CF_WIN_HH

#include <gtk--/window.h>
#include <gtk--/widget.h>
#include <gtk--/fileselection.h>
#include "cf_widget.hh"
#include "cf_callback.hh"


//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// class SetWindowTitle

class SetWindowTitle : public CF_CallBack
{
public:
	SetWindowTitle(Gtk_Window& winIn) : CF_CallBack("SetWindowTitle", 1), win(winIn) {}
	
	string Call(vector<string>& args);

private:
	Gtk_Window& win;
};//class SetWindowTitle


//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// class PrintDir

class PrintDir : public CF_CallBack
{
public:
	PrintDir() : CF_CallBack("PrintDir", 0) {}

	string Call(vector<string>& args);
};//class PrintDir

//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// class ChangeDir

class ChangeDir : public CF_CallBack
{
public:
	ChangeDir();

	string Call(vector<string>& args);
	
	void OKClicked();
	void CancelClicked();
	gint DeleteEvent(GdkEventAny* ev);
	
private:
	Gtk_FileSelection fileSelect;
};//class ChangeDir



//////////////////////////////////////////////////
//CF_MainWin : public Gtk_Window

class MainWin : public Gtk_Window 
{
public:
	MainWin(const string& script); //Ctor
	~MainWin();	//Dtor
	gint on_delete_event(GdkEventAny *ev);

private:
	CF_Widget* cfWidget;
	CF_CommandMgr cmds;
	SetWindowTitle setWindowTitle;
	PrintDir printDir;
	ChangeDir changeDir;
};

#endif
